<ion-toolbar>
  <ion-title>{{ vegetable.name }}</ion-title>
  <ion-buttons slot="end">
    <ion-button (click)="dismissModal()">Fermer</ion-button>
  </ion-buttons>
</ion-toolbar>

<ion-content>
  <figure>
    <ion-img [src]="vegetable.imagePath" class="p-3 mb-5 rounded mx-auto d-block vegetable-button "></ion-img>
  </figure>

  <ion-segment [(ngModel)]="segmentValue" value="ID">
    <ion-segment-button value="ID">
      <ion-label>Carte d'identité</ion-label>
    </ion-segment-button>
    <ion-segment-button value="garden">
      <ion-label>Dans le potager</ion-label>
    </ion-segment-button>
    <ion-segment-button value="history">
      <ion-label>Tout savoir</ion-label>
    </ion-segment-button>
  </ion-segment>

  <div [ngSwitch]="segmentValue">
    <div *ngSwitchCase="'ID'">
      <app-general
        (vegetableSelected)="onChangeVegetable($event)"
        [vegetable]="vegetable"
      ></app-general>
    </div>

    <div *ngSwitchCase="'garden'">
      <app-in-garden></app-in-garden>
    </div>

    <div *ngSwitchCase="'history'">
      <app-about [vegetable]="vegetable"></app-about>
    </div>
  </div>
</ion-content>
